RagTime5PipelineInternal::State Struct Reference

Internal: the state of a RagTime5Pipeline. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< int, std::shared_ptr< ClusterPipeline > > | m_idPipelineMap
| map data id to text zone

## Detailed Description

Internal: the state of a RagTime5Pipeline.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5PipelineInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idPipelineMap

std::map<int, std::shared_ptr<ClusterPipeline> > RagTime5PipelineInternal::State::m_idPipelineMap

map data id to text zone

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx